How Hard is it to Unlock an iPhone 4

Discussion in 'Jailbreaks and iOS Hacks' started by Wicked1, Jun 27, 2011.

  1. Wicked1 macrumors 68040

    Wicked1

    Joined:
    Apr 13, 2009
    Location:
    New Jersey
    #1
    I have a 4 that I bought in July of last year as a spare, the FW is still 4.0.1 and BB is at 5.10

    I am thinking of JB with Greenpoison and then unlocking, but I have two questions.

    1) Should I upgrade the FW and retain the BB and how hard is that to do.

    2) Should I just leave it where it is and JB then unlock?

    Only Reason I want to unlock is I may go abroad and if I do, I would like to be able to use the phone in another Country.

    Thanks
     
  2. psywzrd macrumors 68030

    Joined:
    Feb 6, 2008
    #2
    You can't unlock that bb with ultrasn0w (only bb 1.59.00 can be unlocked). Your best best is to get a gevey sim and use that when you need to use the phone in another country (plenty of gevey info available here and elsewhere). You can go ahead and upgrade your firmware to 4.3.3 though since that can be jailbroken.
     
  3. iFiend macrumors 65816

    Joined:
    Feb 28, 2011
    #3
    Check that BB again bud. There was never a 5.10 BB. If the iPhone 4 has never been upgraded and then downgraded, and is at 4.0.1, then it will be possible to unlock via a software unlock. It's as easy as pie :)
     
  4. psywzrd macrumors 68030

    Joined:
    Feb 6, 2008
    #4
    Good pickup! I tuned out as soon as I saw that it wasn't 1.59.00, and that's why I said to just use Gevey.
     
  5. awadeee macrumors 68020

    awadeee

    Joined:
    Jan 21, 2011
    Location:
    Viper City
    #5
    5.10 baseband has never existed for the iPhone 4. If you're still on firmware 4.0.1 then your baseband is likely 1.59.00 and all you have to do is jailbreak using Redsn0w and unlock using Ultrasn0w from Cydia.

    However, if your baseband is above 1.59.00 (which wouldn't make any sense unless you updated and then downgraded because you liked 4.0.1 for some odd reason), then you'll have to unlock using a Gevey Turbo SIM.
     
  6. Cozmik macrumors newbie

    Joined:
    May 17, 2011
    #6
    If you happen to be on BB 04.10.01 then you can't software unlock yet. I've tried now...twice. Hoping for refunds on my purchased "100% guaranteed unlocks for OS 4.3.3 ANY baseband". My iPhone is def Jailbroken, but it's a mini iPad at this point, which I don't need as I have a perfectly good iPad2. I need an unlocked iPhone4.
     
  7. eastercat macrumors 68040

    eastercat

    Joined:
    Mar 3, 2008
    Location:
    PDX
    #8
    Double check your bb
    You have two options to preserve the bb on iPhone 4 in an upgrade situation:
    Pwnage/snowbreeze
    Tiny umbrella

    If you want to install anything but 4.3.3, you'll need your blob. You didn't mention if you had that.

    FYI: you should check iclarified before JBing.
     

Share This Page